org.eclnt.jsfserver.elements.componentnodes

## Class HTROWNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTROWNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTROWNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTROWNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTROWNode` | `bindComment(IDynamicContentBindingObject value)`
    `HTROWNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTROWNode` | `bindHeight(IDynamicContentBindingObject value)`
    `HTROWNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTROWNode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTROWNode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTROWNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTROWNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTROWNode` | `setAttributemacro(java.lang.String value)`
    `HTROWNode` | `setComment(java.lang.String value)`
    `HTROWNode` | `setComponentbinding(java.lang.String value)`
    `HTROWNode` | `setConfiginfo(java.lang.String value)`
    `HTROWNode` | `setHeight(int value)`
    `HTROWNode` | `setHeight(java.lang.String value)`
    `HTROWNode` | `setId(java.lang.String value)`
    `HTROWNode` | `setReference(java.lang.String value)`
    `HTROWNode` | `setRendered(boolean value)`
    `HTROWNode` | `setRendered(java.lang.String value)`
    `HTROWNode` | `setStyle(java.lang.String value)`
    `HTROWNode` | `setStyleClass(java.lang.String value)`
    `HTROWNode` | `setStylevariant(java.lang.String value)`
    `HTROWNode` | `setWidth(int value)`
    `HTROWNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTROWNode

          public HTROWNode()

  - ### Method Detail

    - #### setId

          public HTROWNode setId(java.lang.String value)

    - #### setAttributemacro

          public HTROWNode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTROWNode setComment(java.lang.String value)

    - #### bindComment

          public HTROWNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public HTROWNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public HTROWNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTROWNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public HTROWNode setHeight(java.lang.String value)

    - #### bindHeight

          public HTROWNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HTROWNode setHeight(int value)

    - #### setReference

          public HTROWNode setReference(java.lang.String value)

    - #### setRendered

          public HTROWNode setRendered(java.lang.String value)

    - #### bindRendered

          public HTROWNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTROWNode setRendered(boolean value)

    - #### setStyle

          public HTROWNode setStyle(java.lang.String value)

    - #### bindStyle

          public HTROWNode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTROWNode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTROWNode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTROWNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTROWNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public HTROWNode setWidth(java.lang.String value)

    - #### bindWidth

          public HTROWNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTROWNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.